Bug 508482 - devkit-disks-daemon spins-up my /dev/sda once or twice per hour
devkit-disks-daemon spins-up my /dev/sda once or twice per hour
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: DeviceKit-disks (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-27 14:25 EDT by Jim Meyering
Modified: 2016-04-26 15:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:20:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
blob from above (2.05 KB, application/octet-stream)
2009-10-02 08:12 EDT, Jim Meyering
no flags Details

  None (edit)
Description Jim Meyering 2009-06-27 14:25:55 EDT
Description of problem: something spins up my otherwise always-spun-down /dev/sda once or twice every hour.  Turns out it's devkit-disks-daemon's invocation of /usr/libexec/devkit-disks-helper-ata-smart-collect.

Version-Release number of selected component (if applicable):
DeviceKit-disks             005-2.fc12
libatasmart.x86_64          0.12-3.fc11

How reproducible: always

same procedure as for http://bugzilla.redhat.com/491552


Steps to Reproduce:
1. spin down a disk
2. wait 30-60 minutes, and notice it spins up
3.
  
Actual results: disk spins up every hour


Expected results: spun-down disk spins up only when needed (for my backups)


Additional info:
Comment 1 Paul Wells 2009-09-04 17:14:03 EDT
I have the same problem on my Fedora 11 systems where I normally want
/dev/sdb and /dev/sdc spun down. For now I've kludged around this bug
by renaming /usr/libexec/devkit-disks-helper-ata-smart-collect
to /usr/libexec/real-devkit-disks-helper-ata-smart-collect and
replacing it with the following trivial shell script:

#! /bin/sh
#
# Fake version of /usr/libexec/devkit-disks-helper-ata-smart-collect
# to prevent polling sdb and sdc

if [ "$1" = "/dev/sdb" -o "$1" = "/dev/sdc" ] ; then
    exit 2
else
    /usr/libexec/real-devkit-disks-helper-ata-smart-collect $*
fi
Comment 2 Jim Meyering 2009-10-02 08:10:30 EDT
on a system running rawhide, devkit-disks-helper-ata-smart-collect spins up only one of two sleeping disks:

$ hddtemp /dev/sd[ab]
/dev/sda: ST3320620AS: drive is sleeping
/dev/sdb: SAMSUNG HD103UI: drive is sleeping
$ strace -o k.sda -ff /usr/libexec/devkit-disks-helper-ata-smart-collect /dev/sda 1 > out; hddtemp /dev/sd[ab]
/dev/sda: ST3320620AS: 34°C
/dev/sdb: SAMSUNG HD103UI: drive is sleeping

And since hddtemp "knew" that sda was sleeping, yet smart-collect woke it up, I conclude smart-collect can learn not to spin-up /dev/sda.

I'll attach the blob it output.
Comment 3 Jim Meyering 2009-10-02 08:12:53 EDT
Created attachment 363465 [details]
blob from above

This is the blob output by running /usr/libexec/devkit-disks-helper-ata-smart-collect /dev/sda 1
Comment 4 Bug Zapper 2010-04-27 11:18:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 09:20:30 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.